<?php
/**
 * @file
 * faktura.features.inc
 */

/**
 * Implements hook_ctools_plugin_api().
 */
function faktura_ctools_plugin_api() {
  list($module, $api) = func_get_args();
  if ($module == "page_manager" && $api == "pages_default") {
    return array("version" => "1");
  }
  list($module, $api) = func_get_args();
  if ($module == "strongarm" && $api == "strongarm") {
    return array("version" => "1");
  }
}

/**
 * Implements hook_views_api().
 */
function faktura_views_api() {
  return array("version" => "3.0");
}

/**
 * Implements hook_node_info().
 */
function faktura_node_info() {
  $items = array(
    'company' => array(
      'name' => t('Company'),
      'base' => 'node_content',
      'description' => t('Create a new company'),
      'has_title' => '1',
      'title_label' => t('Title'),
      'help' => '',
    ),
    'customer' => array(
      'name' => t('Customer'),
      'base' => 'node_content',
      'description' => '',
      'has_title' => '1',
      'title_label' => t('Title'),
      'help' => '',
    ),
    'dunning' => array(
      'name' => t('Dunning'),
      'base' => 'node_content',
      'description' => t('Create a dunning.'),
      'has_title' => '1',
      'title_label' => t('Title'),
      'help' => '',
    ),
    'dunning_level' => array(
      'name' => t('Dunning level'),
      'base' => 'node_content',
      'description' => t('Create a dunning level'),
      'has_title' => '1',
      'title_label' => t('Title'),
      'help' => '',
    ),
    'invoice' => array(
      'name' => t('Invoice'),
      'base' => 'node_content',
      'description' => t('Create an invoice'),
      'has_title' => '1',
      'title_label' => t('Title'),
      'help' => '',
    ),
    'project' => array(
      'name' => t('Project'),
      'base' => 'node_content',
      'description' => t('Create a project to manage to do'),
      'has_title' => '1',
      'title_label' => t('Project title'),
      'help' => '',
    ),
    'scheduled_invoice' => array(
      'name' => t('Scheduled invoice'),
      'base' => 'node_content',
      'description' => t('Create a scheduled invoice. Also recurring invoices are possible.'),
      'has_title' => '1',
      'title_label' => t('Title'),
      'help' => '',
    ),
    'task' => array(
      'name' => t('Task'),
      'base' => 'node_content',
      'description' => t('Add a new task.'),
      'has_title' => '1',
      'title_label' => t('Title'),
      'help' => '',
    ),
    'tax' => array(
      'name' => t('Tax'),
      'base' => 'node_content',
      'description' => '',
      'has_title' => '1',
      'title_label' => t('Title'),
      'help' => '',
    ),
    'time_report' => array(
      'name' => t('Time report'),
      'base' => 'node_content',
      'description' => '',
      'has_title' => '1',
      'title_label' => t('Title'),
      'help' => '',
    ),
  );
  return $items;
}

/**
 * Implements hook_default_rules_link().
 */
function faktura_default_rules_link() {
  $items = array();
  $items['odt_cloned'] = entity_import('rules_link', '{
    "settings" : {
      "text" : "ODT",
      "link_type" : "token",
      "bundles" : { "dunning" : "dunning", "invoice" : "invoice" },
      "entity_link" : 1
    },
    "name" : "odt_cloned",
    "label" : "ODT Export",
    "path" : "odt_cloned",
    "entity_type" : "node",
    "rdf_mapping" : []
  }');
  $items['pdf_export'] = entity_import('rules_link', '{
    "settings" : {
      "text" : "PDF",
      "link_type" : "token",
      "bundles" : { "dunning" : "dunning", "invoice" : "invoice" },
      "entity_link" : 1
    },
    "name" : "pdf_export",
    "label" : "PDF Export",
    "path" : "pdf_export",
    "entity_type" : "node",
    "rdf_mapping" : []
  }');
  return $items;
}

/**
 * Implements hook_workflow_features_default_workflow().
 */
function faktura_workflow_features_default_workflow() {
  return array(
    'State' => array(
      'name' => 'State',
      'tab_roles' => '',
      'options' => 'a:3:{s:16:"comment_log_node";i:0;s:15:"comment_log_tab";i:0;s:13:"name_as_title";i:0;}',
      'states' => array(
        0 => array(
          'state' => '(creation)',
          'weight' => '-50',
          'sysid' => '1',
          'status' => '1',
        ),
        1 => array(
          'state' => 'In progress',
          'weight' => '0',
          'sysid' => '0',
          'status' => '1',
        ),
        2 => array(
          'state' => 'Completed',
          'weight' => '1',
          'sysid' => '0',
          'status' => '1',
        ),
        3 => array(
          'state' => 'Reviewed',
          'weight' => '2',
          'sysid' => '0',
          'status' => '1',
        ),
        4 => array(
          'state' => 'Closed',
          'weight' => '3',
          'sysid' => '0',
          'status' => '1',
        ),
      ),
      'transitions' => array(
        0 => array(
          'sid' => '(creation)',
          'target_sid' => 'Closed',
          'roles' => 'author,3',
        ),
        1 => array(
          'sid' => '(creation)',
          'target_sid' => 'Completed',
          'roles' => 'author,3',
        ),
        2 => array(
          'sid' => '(creation)',
          'target_sid' => 'Reviewed',
          'roles' => '3',
        ),
        3 => array(
          'sid' => '(creation)',
          'target_sid' => 'In progress',
          'roles' => 'author,3',
        ),
        4 => array(
          'sid' => 'In progress',
          'target_sid' => 'Completed',
          'roles' => 'author,3',
        ),
        5 => array(
          'sid' => 'In progress',
          'target_sid' => 'Reviewed',
          'roles' => '3',
        ),
        6 => array(
          'sid' => 'In progress',
          'target_sid' => 'Closed',
          'roles' => '3',
        ),
        7 => array(
          'sid' => 'Completed',
          'target_sid' => 'Closed',
          'roles' => 'author,3',
        ),
        8 => array(
          'sid' => 'Completed',
          'target_sid' => 'In progress',
          'roles' => '3',
        ),
        9 => array(
          'sid' => 'Completed',
          'target_sid' => 'Reviewed',
          'roles' => '3',
        ),
        10 => array(
          'sid' => 'Reviewed',
          'target_sid' => 'In progress',
          'roles' => '3',
        ),
        11 => array(
          'sid' => 'Reviewed',
          'target_sid' => 'Completed',
          'roles' => '3',
        ),
        12 => array(
          'sid' => 'Reviewed',
          'target_sid' => 'Closed',
          'roles' => '3',
        ),
        13 => array(
          'sid' => 'Closed',
          'target_sid' => 'Completed',
          'roles' => 'author,3',
        ),
        14 => array(
          'sid' => 'Closed',
          'target_sid' => 'In progress',
          'roles' => '3',
        ),
        15 => array(
          'sid' => 'Closed',
          'target_sid' => 'Reviewed',
          'roles' => '3',
        ),
      ),
      'node_types' => array(
        0 => array(
          'type' => 'task',
          'wid' => '1',
        ),
      ),
    ),
  );
}
